From 03f22271c78f963046e13ef723e8ba6d2785263a Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Tue, 10 May 2022 21:58:46 +0200
Subject: [PATCH 07/34] Convert slurm_conf.msg_timeout no ->
 slurm_get_msg_timeout()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_api.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index 9af1a4ed7d..c3ee239858 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -3576,12 +3576,12 @@ List slurm_receive_resp_msgs(int fd, int steps, int timeout)
 
 	if (timeout <= 0) {
 		/* convert secs to msec */
-		timeout = slurm_conf.msg_timeout * 1000;
+		timeout = slurm_get_msg_timeout() * 1000;
 		orig_timeout = timeout;
 	}
 	if (steps) {
 		if (message_timeout < 0)
-			message_timeout = slurm_conf.msg_timeout * 1000;
+			message_timeout = slurm_get_msg_timeout() * 1000;
 		orig_timeout = (timeout -
 				(message_timeout*(steps-1)))/steps;
 		steps--;
@@ -3592,9 +3592,9 @@ List slurm_receive_resp_msgs(int fd, int steps, int timeout)
 	/* we compare to the orig_timeout here because that is really
 	 *  what we are going to wait for each step
 	 */
-	if (orig_timeout >= (slurm_conf.msg_timeout * 10000)) {
+	if (orig_timeout >= (slurm_get_msg_timeout() * 10000)) {
 		log_flag(NET, "%s: Sending a message with timeout's greater than %d seconds, requested timeout is %d seconds",
-			 __func__, (slurm_conf.msg_timeout * 10),
+			 __func__, (slurm_get_msg_timeout() * 10),
 			 (timeout/1000));
 	} else if (orig_timeout < 1000) {
 		log_flag(NET, "%s: Sending a message with a very short timeout of %d milliseconds each step in the tree has %d milliseconds",
-- 
2.35.3


